summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2020-10-30 03:35:11 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-10-31 11:15:25 +0700
commitf278b145115eb35df3b80c02aa64b35a1b779ef3 (patch)
treeb61e9f7f3bc34d9114e1f5c59c64ea7d8fd04dba /libraries
parentfe8c4329efa400e6e2ba4650e1c31e3ec1cc9f7c (diff)
downloadslackbuilds-f278b145115eb35df3b80c02aa64b35a1b779ef3.tar.gz
slackbuilds-f278b145115eb35df3b80c02aa64b35a1b779ef3.tar.xz
libraries/zmusic: Added (library for music support in games)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/zmusic/README9
-rw-r--r--libraries/zmusic/slack-desc19
-rw-r--r--libraries/zmusic/zmusic.SlackBuild77
-rw-r--r--libraries/zmusic/zmusic.info10
4 files changed, 115 insertions, 0 deletions
diff --git a/libraries/zmusic/README b/libraries/zmusic/README
new file mode 100644
index 0000000000..d54cba44f2
--- /dev/null
+++ b/libraries/zmusic/README
@@ -0,0 +1,9 @@
+zmusic (library for music support in games)
+
+ZMusic is GZDoom's music system separated as a stand-alone music
+library, providing a unified interface for its components.
+
+Note: Technically, fluidsynth is optional, but it's *very* highly
+recommended. I've listed it as required, for the convenience of
+sbopkg/sbotools users. If you're reading this, you are not a robot,
+and you can make up your own mind.
diff --git a/libraries/zmusic/slack-desc b/libraries/zmusic/slack-desc
new file mode 100644
index 0000000000..73661cb029
--- /dev/null
+++ b/libraries/zmusic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zmusic: zmusic (library for music support in games)
+zmusic:
+zmusic: ZMusic is GZDoom's music system separated as a stand-alone music
+zmusic: library, providing a unified interface for its components.
+zmusic:
+zmusic:
+zmusic:
+zmusic:
+zmusic:
+zmusic:
+zmusic:
diff --git a/libraries/zmusic/zmusic.SlackBuild b/libraries/zmusic/zmusic.SlackBuild
new file mode 100644
index 0000000000..19bad77002
--- /dev/null
+++ b/libraries/zmusic/zmusic.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for zmusic
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=zmusic
+VERSION=${VERSION:-1.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=ZMusic
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS_RELEASE="$SLKCFLAGS -DNDEBUG" \
+ -DCMAKE_CXX_FLAGS_RELEASE="$SLKCFLAGS -DNDEBUG" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make install/strip DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# You're in a maze of twisty licenses, all slightly different.
+cp -a licenses/* $PKG/usr/doc/$PRGNAM-$VERSION
+# There's no other documentation at all, so include our own README
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/zmusic/zmusic.info b/libraries/zmusic/zmusic.info
new file mode 100644
index 0000000000..ac893c915f
--- /dev/null
+++ b/libraries/zmusic/zmusic.info
@@ -0,0 +1,10 @@
+PRGNAM="zmusic"
+VERSION="1.1.3"
+HOMEPAGE="https://github.com/coelckers/ZMusic"
+DOWNLOAD="https://github.com/coelckers/ZMusic/archive/1.1.3/ZMusic-1.1.3.tar.gz"
+MD5SUM="a2f96bac634f199b56d2fc3ea33b3969"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fluidsynth"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"